[arch-commits] Commit in revelation/repos (3 files)
Jan de Groot
jgc at archlinux.org
Fri Dec 26 20:29:40 UTC 2008
Date: Friday, December 26, 2008 @ 15:29:40
Author: jgc
Revision: 22456
Merged revisions 356,22455 via svnmerge from
svn+ssh://svn.archlinux.org/srv/svn-packages/revelation/trunk
........
r356 | aaron | 2008-04-18 22:56:27 +0000 (Fri, 18 Apr 2008) | 1 line
Added svn:keywords to all PKGBUILDs
........
r22455 | jgc | 2008-12-26 20:29:26 +0000 (Fri, 26 Dec 2008) | 1 line
upgpkg: revelation 0.4.11-4
........
Added:
revelation/repos/extra-x86_64/fs12034.patch
(from rev 22455, revelation/trunk/fs12034.patch)
Modified:
revelation/repos/extra-x86_64/ (properties)
revelation/repos/extra-x86_64/PKGBUILD
---------------+
PKGBUILD | 20 +++++++++++---------
fs12034.patch | 14 ++++++++++++++
2 files changed, 25 insertions(+), 9 deletions(-)
Property changes on: revelation/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
- /revelation/trunk:1
+ /revelation/trunk:1-22455
Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD 2008-12-26 20:29:26 UTC (rev 22455)
+++ extra-x86_64/PKGBUILD 2008-12-26 20:29:40 UTC (rev 22456)
@@ -3,28 +3,30 @@
pkgname=revelation
pkgver=0.4.11
-pkgrel=3
+pkgrel=4
pkgdesc="Password manager for the GNOME 2 desktop"
arch=(i686 x86_64)
license=('GPL')
depends=('gnome-python-desktop>=2.18.0' 'pycrypto>=2.0.1-2' 'gnome-panel>=2.18.1' 'cracklib' 'desktop-file-utils')
install=revelation.install
url="http://oss.codepoet.no/revelation/"
-source=(ftp://oss.codepoet.no/revelation/revelation-${pkgver}.tar.bz2)
-md5sums=('e2db4a2f00f59b18798d4453c778129f')
+source=(ftp://oss.codepoet.no/revelation/revelation-${pkgver}.tar.bz2
+ fs12034.patch)
+md5sums=('e2db4a2f00f59b18798d4453c778129f' 'fd720d187ce5ae631c095872e9db9155')
build() {
- cd ${startdir}/src/revelation-${pkgver}
+ cd "${srcdir}/${pkgname}-${pkgver}"
+ patch -Np1 -i "${srcdir}/fs12034.patch" || return 1
sed -i -e 's/gnome-python-extras/gnome-python-desktop/g' configure
./configure --prefix=/usr --sysconfdir=/etc \
--libexecdir=/usr/lib/revelation \
--localstatedir=/var \
- --disable-mime-update --disable-desktop-update
+ --disable-mime-update --disable-desktop-update || return 1
make || return 1
- make GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 DESTDIR=${startdir}/pkg install
+ make GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 DESTDIR="${pkgdir}" install || return 1
- mkdir -p ${startdir}/pkg/usr/share/gconf/schemas
- gconf-merge-schema ${startdir}/pkg/usr/share/gconf/schemas/${pkgname}.schemas ${startdir}/pkg/etc/gconf/schemas/*.schemas
- rm -f ${startdir}/pkg/etc/gconf/schemas/*.schemas
+ install -m755 -d "${pkgdir}/usr/share/gconf/schemas"
+ gconf-merge-schema "${pkgdir}/usr/share/gconf/schemas/${pkgname}.schemas" ${pkgdir}/etc/gconf/schemas/*.schemas || return 1
+ rm -f ${pkgdir}/etc/gconf/schemas/*.schemas
}
Copied: revelation/repos/extra-x86_64/fs12034.patch (from rev 22455, revelation/trunk/fs12034.patch)
===================================================================
--- extra-x86_64/fs12034.patch (rev 0)
+++ extra-x86_64/fs12034.patch 2008-12-26 20:29:40 UTC (rev 22456)
@@ -0,0 +1,14 @@
+--- revelation-0.4.11.orig/src/lib/ui.py
++++ revelation-0.4.11/src/lib/ui.py
+@@ -1257,8 +1257,9 @@
+ def __init__(self, stock, text = None):
+ gtk.ImageMenuItem.__init__(self, stock)
+
+- self.label = self.get_children()[0]
+- self.image = self.get_children()[1]
++ children=self.get_children()
++ if len(children) > 0 : self.label = children[0]
++ if len(children) > 1 : self.image = children[1]
+
+ if text is not None:
+ self.set_text(text)
More information about the arch-commits
mailing list